classification
Title: Add initgroups to the posix/os modules
Type: Stage:
Components: Library (Lib) Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: amaury.forgeotdarc, exarkun, pitrou, pjenvey
Priority: normal Keywords: patch

Created on 2009-11-16 14:57 by exarkun, last changed 2009-12-02 20:47 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
initgroups.patch exarkun, 2009-11-16 14:57
initgroups-2.patch exarkun, 2009-11-16 23:53
initgroups-3.patch exarkun, 2009-11-17 13:34
initgroups-4.patch exarkun, 2009-11-17 13:35
initgroups-5.patch exarkun, 2009-12-02 15:34
Messages (10)
msg95348 - (view) Author: Jean-Paul Calderone (exarkun) * (Python committer) Date: 2009-11-16 14:57
initgroups(2) is a function for initializing the aux group id list from
site-specific configuration (typically /etc/groups, but not necessarily).

Attached is a patch based on some code from Zope, expanded to have a
test and some docs.  Presumably Zope will be happy to use this function
from the stdlib once they can depend on a version of Python which
includes it.  Twisted would like to as well.

I wasn't able to test the autoconf related parts of the patch as I don't
have easy access to autoconf 2.61.

I also can't run regrtest.py in my environment for some reason.  It
fails to import some names from test_support.  So I didn't run the unit
test that I added, either.
msg95359 - (view) Author: Jean-Paul Calderone (exarkun) * (Python committer) Date: 2009-11-16 21:33
In case anyone is concerned about licensing issues, please see
<https://mail.zope.org/pipermail/zope-dev/2009-November/038289.html>
msg95362 - (view) Author: Philip Jenvey (pjenvey) * (Python committer) Date: 2009-11-16 23:49
The test should skip when not hasattr(os, 'initgroups') since it's 
optional
msg95363 - (view) Author: Jean-Paul Calderone (exarkun) * (Python committer) Date: 2009-11-16 23:53
Good point.  Updated patch attached.
msg95371 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-11-17 09:55
You can use the new test-skipping feature:
http://docs.python.org/dev/library/unittest.html#skipping-tests-and-expected-failures
msg95384 - (view) Author: Jean-Paul Calderone (exarkun) * (Python committer) Date: 2009-11-17 13:34
Alright.  Updated patch attached.
msg95385 - (view) Author: Jean-Paul Calderone (exarkun) * (Python committer) Date: 2009-11-17 13:35
pyflakes told me I didn't import errno in test_posix.py.  Updated patch
attached.
msg95905 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2009-12-02 13:54
The documentation is os.rst is too laconic (coming from the Windows
world, I could not understand what the function is about).
The docstring is much better (at least I understand it's related to the
Unix security model), I suggest to use it for the documentation.
msg95909 - (view) Author: Jean-Paul Calderone (exarkun) * (Python committer) Date: 2009-12-02 15:34
New version attached which makes the os.rst docs the same as the
docstring.  Also fixes a conflict since introduced in trunk in configure.in.
msg95917 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-12-02 20:47
Slightly modified and committed in r76636 (trunk) and r76637 (py3k).
Thank you.
History
Date User Action Args
2009-12-02 20:47:25pitrousetstatus: open -> closed
resolution: fixed
messages: + msg95917
2009-12-02 15:34:54exarkunsetfiles: + initgroups-5.patch

messages: + msg95909
2009-12-02 13:54:49amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg95905
2009-11-17 13:35:03exarkunsetfiles: + initgroups-4.patch

messages: + msg95385
2009-11-17 13:34:01exarkunsetfiles: + initgroups-3.patch

messages: + msg95384
2009-11-17 09:55:19pitrousetnosy: + pitrou
messages: + msg95371
2009-11-16 23:53:58exarkunsetfiles: + initgroups-2.patch

messages: + msg95363
2009-11-16 23:49:34pjenveysetnosy: + pjenvey
messages: + msg95362
2009-11-16 21:33:58exarkunsetmessages: + msg95359
2009-11-16 14:57:38exarkuncreate